UserDataModeType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum UserDataModeType

- java.lang.Object
- - java.lang.Enum<UserDataModeType>
  - - tv.amwa.maj.enumeration.UserDataModeType

- All Implemented Interfaces:
    Serializable, Comparable<UserDataModeType>, MediaEnumerationValue

      public enum UserDataModeType
      extends Enum<UserDataModeType>
      implements MediaEnumerationValue

  Represents the kind of the 4 bits of channel status that is used for user data related to audio essence stored in the AES/EBU audio file format and described by a AES3 PCM descriptor.

  The values defined here are as specified in section 4 of EBU tech. 3250.

  See Also:
    `TypeDefinitions.UserDataModeType`, `AES3PCMDescriptor.getUserDataMode()`, `AuxBitsModeType`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_192BitBlockStructure` 192 bit block structure.
    `AES18` Packet system based on HDLC protocol (ISO 13239).
    `IEC` User data conforms to the general user data format defined in IEC 60958-3.
    `Metadata` Reserved for metadata.
    `NotDefined` No user information indicated.
    `Reserved0` Reserved for future use and should not be used.
    `Reserved1` Reserved for future use and should not be used.
    `Reserved2` Reserved for future use and should not be used.
    `Reserved3` Reserved for future use and should not be used.
    `Reserved4` Reserved for future use and should not be used.
    `Reserved5` Reserved for future use and should not be used.
    `Reserved6` Reserved for future use and should not be used.
    `Reserved7` Reserved for future use and should not be used.
    `Reserved8` Reserved for future use and should not be used.
    `Reserved9` Reserved for future use and should not be used.
    `UserDefined` User defined.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserDataModeType` | `fromOrdinal(int userDataModeValue)` Returns the value of this enumerated type associated with the given ordinal.
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static UserDataModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UserDataModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### NotDefined

          public static final UserDataModeType NotDefined

      No user information indicated. This is the default value.

    - #### _192BitBlockStructure

          public static final UserDataModeType _192BitBlockStructure

      192 bit block structure. Preamble "Z" indicates the start of a block.

      Note that the name of this element starts with an underscore ('`_`') character as Java identifiers must start with an alphanumeric character or an underscore character. The specified name of this value is "`192BitBlockStructure`".

    - #### AES18

          public static final UserDataModeType AES18

      Packet system based on HDLC protocol (ISO 13239). This system is defined in supplement 1 to EBU Tech. 3250: format of the user data channel of the digital audio interface.

    - #### UserDefined

          public static final UserDataModeType UserDefined

      User defined.

    - #### IEC

          public static final UserDataModeType IEC

      User data conforms to the general user data format defined in IEC 60958-3.

    - #### Metadata

          public static final UserDataModeType Metadata

      Reserved for metadata.

    - #### Reserved0

          public static final UserDataModeType Reserved0

      Reserved for future use and should not be used.

    - #### Reserved1

          public static final UserDataModeType Reserved1

      Reserved for future use and should not be used.

    - #### Reserved2

          public static final UserDataModeType Reserved2

      Reserved for future use and should not be used.

    - #### Reserved3

          public static final UserDataModeType Reserved3

      Reserved for future use and should not be used.

    - #### Reserved4

          public static final UserDataModeType Reserved4

      Reserved for future use and should not be used.

    - #### Reserved5

          public static final UserDataModeType Reserved5

      Reserved for future use and should not be used.

    - #### Reserved6

          public static final UserDataModeType Reserved6

      Reserved for future use and should not be used.

    - #### Reserved7

          public static final UserDataModeType Reserved7

      Reserved for future use and should not be used.

    - #### Reserved8

          public static final UserDataModeType Reserved8

      Reserved for future use and should not be used.

    - #### Reserved9

          public static final UserDataModeType Reserved9

      Reserved for future use and should not be used.

  - ### Method Detail

    - #### values

          public static UserDataModeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserDataModeType c : UserDataModeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserDataModeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### fromOrdinal

          public static final UserDataModeType fromOrdinal(int userDataModeValue)

      Returns the value of this enumerated type associated with the given ordinal.

      Parameters:
        `userDataModeValue` - Specified ordinal to use to find the associated value of this type.
      Returns:
        Value of this type with the given ordinal value.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.